Bug 1004177 - Upgrade Errai from 2.3.2.Final to 2.4.0.CR1 in jboss-integration-bom
Upgrade Errai from 2.3.2.Final to 2.4.0.CR1 in jboss-integration-bom
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Geoffrey De Smet
Lukáš Petrovický
:
Depends On:
Blocks: 989519
  Show dependency treegraph
 
Reported: 2013-09-04 03:17 EDT by Ryan Zhang
Modified: 2014-08-06 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2013-09-04 03:17:50 EDT
Description of problem:
As subject.
Uberfire has update the errai to 2.4.0.Beta1. See https://bugzilla.redhat.com/show_bug.cgi?id=997147

And I see most of droolsjbpm code has been update to 2.4.0.Beta1

Should we also update the errai version in jboss-integration-bom?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Edson Tirelli 2013-09-06 09:02:42 EDT
This is done.
Comment 3 Walter Medvedeo 2013-09-10 12:07:34 EDT
The following commits finalizes the errai version alignment to version 2.4.0.CR1.

 
The following commit sets errai version to "2.4.0.CR1" in the jboss-integration-platform-bom:

https://github.com/jboss-integration/jboss-integration-platform-bom/commit/ac726b0910a00a42bcc6a1b9bf0e26991ec6f27f

After that, it's no longer needed to establish the errai version in the kie-parent-with-dependencies bom file. So the following to commits (master branch, and 6.0.x branch) was done in order to remove errai version overwriting and lets use the errai version established in the jboss-integration-platform-bom.

master

http://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/3b729ed7d


6.0.x
http://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/bae31c194
Comment 7 Lukáš Petrovický 2013-10-17 02:22:19 EDT
ER4 uses Errai 2.4.0.Final-redhat-1. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.